Summary:	X Session Management library
Summary(pl.UTF-8):	Biblioteka zarządzania sesją X
Name:		xorg-lib-libSM
Version:	1.2.3
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libSM-%{version}.tar.bz2
# Source0-md5:	87c7fad1c1813517979184c8ccd76628
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libICE-devel >= 1.0.5
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Requires:	xorg-lib-libICE >= 1.0.5
Obsoletes:	libSM
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Session Management library.

%description -l pl.UTF-8
Biblioteka zarządzania sesją X.

%package devel
Summary:	Header files for libSM library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libSM
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel
Requires:	xorg-lib-libICE-devel >= 1.0.5
Obsoletes:	libSM-devel

%description devel
X Session Management library.

This package contains the header files needed to develop programs that
use libSM.

%description devel -l pl.UTF-8
Biblioteka zarządzania sesją X.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libSM.

%package static
Summary:	Static libSM library
Summary(pl.UTF-8):	Biblioteka statyczna libSM
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libSM-static

%description static
X Session Management library.

This package contains the static libSM library.

%description static -l pl.UTF-8
Biblioteka zarządzania sesją X.

Pakiet zawiera statyczą bibliotekę libSM.

%prep
%setup -q -n libSM-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libSM.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSM.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libSM.so
%{_libdir}/libSM.la
%dir %{_includedir}/X11/SM
%{_includedir}/X11/SM/*.h
%{_pkgconfigdir}/sm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSM.a
%changelog
* Thu Oct 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libSM.git;a=log;h=master

* Thu Oct 11 2018 Jakub Bogusz <qboosh@pld-linux.org> b2b8076
- updated to 1.2.3 (OOB access fixes)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> eb2600c
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 9763d1d
- updated to 1.2.2

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> c2d1a39
- updated to 1.2.1

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> bc0a06f
- BR: docbook-dtd412-xml

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> ab5b75f
- updated to 1.2.0

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> d1cd452
- util-macros version
- added README to doc

* Sat Aug 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6372bd0
- up to 1.1.1

* Fri Aug 22 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 463b6eb
- release 2

* Sun Aug 03 2008 Karol Krenski <charles@pld-linux.org> e4566f3
- added BR: (-devel R:) libuuid-devel

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 5794a94
- ghost soname symlink

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bcbe12
- up to 1.1.0

* Mon May 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> deee530
- up to 1.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6a12ca0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 340a010
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 79097fd
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ce90b3
- rebuild

* Mon Nov 20 2006 Paweł Sikora <pluto@pld-linux.org> 7a1d126
- release 2 (rebuild with P: *.la).

* Fri Oct 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 9a70946
- updated to 1.0.2

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b752eb
- up to 1.0.1

